Updating python dependencies 91/12891/1 master
authorMark Beierl <mark.beierl@canonical.com>
Fri, 27 Jan 2023 21:23:41 +0000 (21:23 +0000)
committerMark Beierl <mark.beierl@canonical.com>
Fri, 27 Jan 2023 21:23:41 +0000 (21:23 +0000)
Update of Python packages (using pip-compile) in preparation for
Release FOURTEEN

Change-Id: If354cd6b4f13592bbe33cc3496b553bc01033a27
Signed-off-by: Mark Beierl <mark.beierl@canonical.com>
requirements-dev.txt
requirements-test.in
requirements-test.txt
requirements.in
requirements.txt

index b036158..7fe49d9 100644 (file)
 # limitations under the License.
 
 
 # limitations under the License.
 
 
-aiokafka==0.7.2
+aiokafka==0.8.0
     # via -r https://osm.etsi.org/gitweb/?p=osm/common.git;a=blob_plain;f=requirements.txt;hb=master
     # via -r https://osm.etsi.org/gitweb/?p=osm/common.git;a=blob_plain;f=requirements.txt;hb=master
-bitarray==2.5.1
+async-timeout==4.0.2
+    # via
+    #   -r https://osm.etsi.org/gitweb/?p=osm/common.git;a=blob_plain;f=requirements.txt;hb=master
+    #   aiokafka
+bitarray==2.6.2
     # via
     #   -r https://osm.etsi.org/gitweb/?p=osm/IM.git;a=blob_plain;f=requirements.txt;hb=master
     #   pyangbind
     # via
     #   -r https://osm.etsi.org/gitweb/?p=osm/IM.git;a=blob_plain;f=requirements.txt;hb=master
     #   pyangbind
@@ -30,7 +34,7 @@ kafka-python==2.0.2
     # via
     #   -r https://osm.etsi.org/gitweb/?p=osm/common.git;a=blob_plain;f=requirements.txt;hb=master
     #   aiokafka
     # via
     #   -r https://osm.etsi.org/gitweb/?p=osm/common.git;a=blob_plain;f=requirements.txt;hb=master
     #   aiokafka
-lxml==4.9.0
+lxml==4.9.2
     # via
     #   -r https://osm.etsi.org/gitweb/?p=osm/IM.git;a=blob_plain;f=requirements.txt;hb=master
     #   pyang
     # via
     #   -r https://osm.etsi.org/gitweb/?p=osm/IM.git;a=blob_plain;f=requirements.txt;hb=master
     #   pyang
@@ -39,6 +43,10 @@ osm-common @ git+https://osm.etsi.org/gerrit/osm/common.git@master
     # via -r requirements-dev.in
 osm-im @ git+https://osm.etsi.org/gerrit/osm/IM.git@master
     # via -r requirements-dev.in
     # via -r requirements-dev.in
 osm-im @ git+https://osm.etsi.org/gerrit/osm/IM.git@master
     # via -r requirements-dev.in
+packaging==23.0
+    # via
+    #   -r https://osm.etsi.org/gitweb/?p=osm/common.git;a=blob_plain;f=requirements.txt;hb=master
+    #   aiokafka
 pyang==2.5.3
     # via
     #   -r https://osm.etsi.org/gitweb/?p=osm/IM.git;a=blob_plain;f=requirements.txt;hb=master
 pyang==2.5.3
     # via
     #   -r https://osm.etsi.org/gitweb/?p=osm/IM.git;a=blob_plain;f=requirements.txt;hb=master
@@ -47,13 +55,13 @@ pyangbind==0.8.1
     # via -r https://osm.etsi.org/gitweb/?p=osm/IM.git;a=blob_plain;f=requirements.txt;hb=master
 pycrypto==2.6.1
     # via -r https://osm.etsi.org/gitweb/?p=osm/common.git;a=blob_plain;f=requirements.txt;hb=master
     # via -r https://osm.etsi.org/gitweb/?p=osm/IM.git;a=blob_plain;f=requirements.txt;hb=master
 pycrypto==2.6.1
     # via -r https://osm.etsi.org/gitweb/?p=osm/common.git;a=blob_plain;f=requirements.txt;hb=master
-pymongo==3.12.3
+pymongo==3.13.0
     # via -r https://osm.etsi.org/gitweb/?p=osm/common.git;a=blob_plain;f=requirements.txt;hb=master
 pyyaml==5.4.1
     # via
     #   -r https://osm.etsi.org/gitweb/?p=osm/IM.git;a=blob_plain;f=requirements.txt;hb=master
     #   -r https://osm.etsi.org/gitweb/?p=osm/common.git;a=blob_plain;f=requirements.txt;hb=master
     # via -r https://osm.etsi.org/gitweb/?p=osm/common.git;a=blob_plain;f=requirements.txt;hb=master
 pyyaml==5.4.1
     # via
     #   -r https://osm.etsi.org/gitweb/?p=osm/IM.git;a=blob_plain;f=requirements.txt;hb=master
     #   -r https://osm.etsi.org/gitweb/?p=osm/common.git;a=blob_plain;f=requirements.txt;hb=master
-regex==2022.6.2
+regex==2022.10.31
     # via
     #   -r https://osm.etsi.org/gitweb/?p=osm/IM.git;a=blob_plain;f=requirements.txt;hb=master
     #   pyangbind
     # via
     #   -r https://osm.etsi.org/gitweb/?p=osm/IM.git;a=blob_plain;f=requirements.txt;hb=master
     #   pyangbind
index e9c47c6..8c0f408 100644 (file)
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-aiohttp>=2.3.10,<=3.6.2
 aioresponses
 asynctest
 coverage
 deepdiff
 nose2
 aioresponses
 asynctest
 coverage
 deepdiff
 nose2
-requests
-pyang
+#pyang
index 24cfd87..0c59b6e 100644 (file)
 # limitations under the License.
 
 
 # limitations under the License.
 
 
-aiohttp==3.6.2
-    # via
-    #   -r requirements-test.in
-    #   aioresponses
-aioresponses==0.7.3
+aiohttp==3.8.3
+    # via aioresponses
+aioresponses==0.7.4
     # via -r requirements-test.in
     # via -r requirements-test.in
-async-timeout==3.0.1
+aiosignal==1.3.1
+    # via aiohttp
+async-timeout==4.0.2
     # via aiohttp
 asynctest==0.13.0
     # via -r requirements-test.in
     # via aiohttp
 asynctest==0.13.0
     # via -r requirements-test.in
-attrs==21.4.0
+attrs==22.2.0
     # via aiohttp
     # via aiohttp
-certifi==2022.6.15
-    # via requests
-chardet==3.0.4
-    # via
-    #   aiohttp
-    #   requests
-coverage==6.4.1
-    # via
-    #   -r requirements-test.in
-    #   nose2
-deepdiff==5.8.1
+charset-normalizer==2.1.1
+    # via aiohttp
+coverage==7.1.0
     # via -r requirements-test.in
     # via -r requirements-test.in
-idna==3.3
+deepdiff==6.2.3
+    # via -r requirements-test.in
+frozenlist==1.3.3
     # via
     # via
-    #   requests
-    #   yarl
-lxml==4.9.0
-    # via pyang
-multidict==4.7.6
+    #   aiohttp
+    #   aiosignal
+idna==3.4
+    # via yarl
+multidict==6.0.4
     # via
     #   aiohttp
     #   yarl
     # via
     #   aiohttp
     #   yarl
-nose2==0.11.0
+nose2==0.12.0
     # via -r requirements-test.in
 ordered-set==4.1.0
     # via deepdiff
     # via -r requirements-test.in
 ordered-set==4.1.0
     # via deepdiff
-pyang==2.5.3
-    # via -r requirements-test.in
-requests==2.28.0
-    # via -r requirements-test.in
-six==1.16.0
-    # via nose2
-urllib3==1.26.9
-    # via requests
-yarl==1.7.2
+orjson==3.8.5
+    # via deepdiff
+yarl==1.8.2
     # via aiohttp
     # via aiohttp
index 5476674..12fce5b 100644 (file)
@@ -10,7 +10,7 @@
 # License for the specific language governing permissions and limitations
 # under the License.
 
 # License for the specific language governing permissions and limitations
 # under the License.
 
-aiohttp>=2.3.10,<=3.6.2
+aiohttp
 CherryPy>=18.1.2
 deepdiff
 jsonschema>=3.2.0
 CherryPy>=18.1.2
 deepdiff
 jsonschema>=3.2.0
index 8b1f3b4..941e6aa 100644 (file)
 # limitations under the License.
 
 
 # limitations under the License.
 
 
-aiohttp==3.6.2
+aiohttp==3.8.3
     # via -r requirements.in
     # via -r requirements.in
-async-timeout==3.0.1
+aiosignal==1.3.1
     # via aiohttp
     # via aiohttp
-attrs==21.4.0
+async-timeout==4.0.2
+    # via aiohttp
+attrs==22.2.0
     # via
     #   aiohttp
     #   jsonschema
     # via
     #   aiohttp
     #   jsonschema
-certifi==2022.6.15
-    # via requests
-chardet==3.0.4
-    # via aiohttp
-charset-normalizer==2.0.12
+autocommand==2.2.2
+    # via jaraco-text
+certifi==2022.12.7
     # via requests
     # via requests
-cheroot==8.6.0
+charset-normalizer==2.1.1
+    # via
+    #   aiohttp
+    #   requests
+cheroot==9.0.0
     # via cherrypy
     # via cherrypy
-cherrypy==18.6.1
+cherrypy==18.8.0
     # via -r requirements.in
 debtcollector==2.5.0
     # via
     #   oslo-config
     #   oslo-utils
     #   python-keystoneclient
     # via -r requirements.in
 debtcollector==2.5.0
     # via
     #   oslo-config
     #   oslo-utils
     #   python-keystoneclient
-deepdiff==5.8.1
+deepdiff==6.2.3
     # via -r requirements.in
     # via -r requirements.in
-idna==3.3
+frozenlist==1.3.3
+    # via
+    #   aiohttp
+    #   aiosignal
+idna==3.4
     # via
     #   requests
     #   yarl
     # via
     #   requests
     #   yarl
-importlib-resources==5.8.0
+importlib-resources==5.10.2
     # via
     #   jaraco-text
     #   jsonschema
     # via
     #   jaraco-text
     #   jsonschema
-iso8601==1.0.2
+inflect==6.0.2
+    # via jaraco-text
+iso8601==1.1.0
     # via
     #   keystoneauth1
     #   oslo-utils
     # via
     #   keystoneauth1
     #   oslo-utils
-jaraco-classes==3.2.1
+jaraco-classes==3.2.3
     # via jaraco-collections
     # via jaraco-collections
-jaraco-collections==3.5.1
+jaraco-collections==3.8.0
     # via cherrypy
     # via cherrypy
-jaraco-context==4.1.1
+jaraco-context==4.3.0
     # via jaraco-text
     # via jaraco-text
-jaraco-functools==3.5.0
+jaraco-functools==3.5.2
     # via
     #   cheroot
     #   jaraco-text
     #   tempora
     # via
     #   cheroot
     #   jaraco-text
     #   tempora
-jaraco-text==3.8.0
+jaraco-text==3.11.0
     # via jaraco-collections
     # via jaraco-collections
-jsonschema==4.6.0
+jsonschema==4.17.3
     # via -r requirements.in
     # via -r requirements.in
-keystoneauth1==4.6.0
+keystoneauth1==5.1.1
     # via python-keystoneclient
     # via python-keystoneclient
-more-itertools==8.13.0
+more-itertools==9.0.0
     # via
     #   cheroot
     #   cherrypy
     #   jaraco-classes
     #   jaraco-functools
     # via
     #   cheroot
     #   cherrypy
     #   jaraco-classes
     #   jaraco-functools
+    #   jaraco-text
 msgpack==1.0.4
     # via oslo-serialization
 msgpack==1.0.4
     # via oslo-serialization
-multidict==4.7.6
+multidict==6.0.4
     # via
     #   aiohttp
     #   yarl
     # via
     #   aiohttp
     #   yarl
@@ -88,26 +99,28 @@ netifaces==0.11.0
     # via oslo-utils
 ordered-set==4.1.0
     # via deepdiff
     # via oslo-utils
 ordered-set==4.1.0
     # via deepdiff
+orjson==3.8.5
+    # via deepdiff
 os-service-types==1.7.0
     # via keystoneauth1
 os-service-types==1.7.0
     # via keystoneauth1
-oslo-config==8.8.0
+oslo-config==9.1.0
     # via python-keystoneclient
 oslo-i18n==5.1.0
     # via
     #   oslo-config
     #   oslo-utils
     #   python-keystoneclient
     # via python-keystoneclient
 oslo-i18n==5.1.0
     # via
     #   oslo-config
     #   oslo-utils
     #   python-keystoneclient
-oslo-serialization==4.3.0
+oslo-serialization==5.0.0
     # via python-keystoneclient
     # via python-keystoneclient
-oslo-utils==6.0.0
+oslo-utils==6.1.0
     # via
     #   oslo-serialization
     #   python-keystoneclient
     # via
     #   oslo-serialization
     #   python-keystoneclient
-packaging==21.3
+packaging==23.0
     # via
     #   oslo-utils
     #   python-keystoneclient
     # via
     #   oslo-utils
     #   python-keystoneclient
-pbr==5.9.0
+pbr==5.11.1
     # via
     #   keystoneauth1
     #   os-service-types
     # via
     #   keystoneauth1
     #   os-service-types
@@ -115,17 +128,19 @@ pbr==5.9.0
     #   oslo-serialization
     #   python-keystoneclient
     #   stevedore
     #   oslo-serialization
     #   python-keystoneclient
     #   stevedore
+pkgutil-resolve-name==1.3.10
+    # via jsonschema
 portend==3.1.0
     # via cherrypy
 portend==3.1.0
     # via cherrypy
+pydantic==1.10.4
+    # via inflect
 pyparsing==3.0.9
 pyparsing==3.0.9
-    # via
-    #   oslo-utils
-    #   packaging
-pyrsistent==0.18.1
+    # via oslo-utils
+pyrsistent==0.19.3
     # via jsonschema
     # via jsonschema
-python-keystoneclient==4.5.0
+python-keystoneclient==5.0.1
     # via -r requirements.in
     # via -r requirements.in
-pytz==2022.1
+pytz==2022.7.1
     # via
     #   oslo-serialization
     #   oslo-utils
     # via
     #   oslo-serialization
     #   oslo-utils
@@ -134,7 +149,7 @@ pyyaml==5.4.1
     # via
     #   -r requirements.in
     #   oslo-config
     # via
     #   -r requirements.in
     #   oslo-config
-requests==2.28.0
+requests==2.28.2
     # via
     #   -r requirements.in
     #   keystoneauth1
     # via
     #   -r requirements.in
     #   keystoneauth1
@@ -148,24 +163,26 @@ six==1.16.0
     #   keystoneauth1
     #   python-keystoneclient
     #   tacacs-plus
     #   keystoneauth1
     #   python-keystoneclient
     #   tacacs-plus
-stevedore==3.5.0
+stevedore==4.1.1
     # via
     #   keystoneauth1
     #   oslo-config
     #   python-keystoneclient
 tacacs-plus==2.6
     # via -r requirements.in
     # via
     #   keystoneauth1
     #   oslo-config
     #   python-keystoneclient
 tacacs-plus==2.6
     # via -r requirements.in
-tempora==5.0.1
+tempora==5.2.1
     # via portend
     # via portend
-urllib3==1.26.9
+typing-extensions==4.4.0
+    # via pydantic
+urllib3==1.26.14
     # via requests
 wrapt==1.14.1
     # via debtcollector
     # via requests
 wrapt==1.14.1
     # via debtcollector
-yarl==1.7.2
+yarl==1.8.2
     # via aiohttp
 zc-lockfile==2.0
     # via cherrypy
     # via aiohttp
 zc-lockfile==2.0
     # via cherrypy
-zipp==3.8.0
+zipp==3.11.0
     # via importlib-resources
 
 # The following packages are considered to be unsafe in a requirements file:
     # via importlib-resources
 
 # The following packages are considered to be unsafe in a requirements file: